package cn.com.ctop.alarm.modules.mapper;

import cn.com.ctop.alarm.modules.entity.AlarmEventRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 预警事件规则表
 *
 * @author: jeecg-boot
 * @date: 2020-10-29
 * @cersion: V1.0
 */
public interface AlarmEventRuleMapper extends BaseMapper<AlarmEventRule> {

    List<AlarmEventRule> selectListPage(AlarmEventRule alarmEventRule);

    AlarmEventRule queryById(Long id);

    List<AlarmEventRule> queryRunningRecordPage(AlarmEventRule alarmEventRule);
}
